org.eclipse.wst.jsdt.debug.core.model

## Interface IScriptResolver

All Known Implementing Classes:
  ScriptResolver

    public interface IScriptResolver

This resolver allows contributors to plug-in to the process of resolving a `ScriptReference`'s `URI` to a workspace-local `IFile`.
This interface is not intended to be directly implemented. Instead clients must extend the base class `ScriptResolver`

Since:
  2.1
See Also:
  `ScriptResolver`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IFile` `getFile(ScriptReference script)` This method is used to find the workspace `IFile` that corresponds to the source `URI` from the given `ScriptReference`.
`boolean` `matches(ScriptReference script, IPath path)` This method determines if the given `IPath` matches the `URI` from `ScriptReference.sourceURI()`.

### Method Detail

#### matches

    boolean matches(ScriptReference script,
                    IPath path)

This method determines if the given `IPath` matches the `URI` from `ScriptReference.sourceURI()`.

Parameters:
  `script` - the `ScriptReference` to compare the source `URI` from - never `null`
  `path` - the path to match against the source `URI` - never `null`
Returns:
  `true` if the source `URI` of the given `ScriptReference` is considered to match the given `IPath`, `false` otherwise.

#### getFile

    IFile getFile(ScriptReference script)

This method is used to find the workspace `IFile` that corresponds to the source `URI` from the given `ScriptReference`.
If no file can be determined the method must return `null`. The result will be checked for existence.

Parameters:
  `script` - the `ScriptReference` to find the `IFile` for
Returns:
  the `IFile` for the `ScriptReference` or `null`